Passer au contenu principal
GET
/
cms
/
v3
/
pages
/
site-pages
/
{objectId}
/
revisions
Récupérer toutes les versions précédentes d'une page de site web
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/site-pages/{objectId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "object": {
        "abStatus": "automated_loser_variant",
        "abTestId": "<string>",
        "archivedAt": "2023-11-07T05:31:56Z",
        "archivedInDashboard": true,
        "attachedStylesheets": [
          {}
        ],
        "authorName": "<string>",
        "campaign": "<string>",
        "categoryId": 123,
        "contentGroupId": "<string>",
        "contentTypeCategory": "0",
        "created": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "currentState": "AGENT_GENERATED",
        "currentlyPublished": true,
        "domain": "<string>",
        "dynamicPageDataSourceId": "<string>",
        "dynamicPageDataSourceType": 123,
        "dynamicPageHubDbTableId": "<string>",
        "enableDomainStylesheets": true,
        "enableLayoutStylesheets": true,
        "featuredImage": "<string>",
        "featuredImageAltText": "<string>",
        "folderId": "<string>",
        "footerHtml": "<string>",
        "headHtml": "<string>",
        "htmlTitle": "<string>",
        "id": "<string>",
        "includeDefaultCustomCss": true,
        "language": "aa",
        "layoutSections": {},
        "linkRelCanonicalUrl": "<string>",
        "mabExperimentId": "<string>",
        "metaDescription": "<string>",
        "name": "<string>",
        "pageExpiryDate": 123,
        "pageExpiryEnabled": true,
        "pageExpiryRedirectId": 123,
        "pageExpiryRedirectUrl": "<string>",
        "pageRedirected": true,
        "password": "<string>",
        "publicAccessRules": [
          {}
        ],
        "publicAccessRulesEnabled": true,
        "publishDate": "2023-11-07T05:31:56Z",
        "publishImmediately": true,
        "slug": "<string>",
        "state": "<string>",
        "subcategory": "<string>",
        "templatePath": "<string>",
        "themeSettingsValues": {},
        "translatedFromId": "<string>",
        "translations": {},
        "updated": "2023-11-07T05:31:56Z",
        "updatedById": "<string>",
        "url": "<string>",
        "useFeaturedImage": true,
        "widgetContainers": {},
        "widgets": {}
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "user": {
        "email": "<string>",
        "fullName": "<string>",
        "id": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {}
}

Produits pris en charge

Exige l'un des produits suivants ou un produit supérieur.
Marketing HubMarketing Hub -Gratuit
Sales HubSales Hub -Gratuit
Service HubService Hub -Gratuit
Content HubContent Hub -Gratuit

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectId
string
requis

Paramètres de requête

after
string

Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON « paging.next.after » d'une réponse paginée contenant plus de résultats.

before
string
limit
integer<int32>

Le nombre maximum de résultats à afficher par page.

Réponse

successful operation

results
object[]
requis
total
integer<int32>
requis
paging
object

Model definition for paging.

Last modified on March 30, 2026